# build_example: Compiles example binaries as well
#	0 = no
#	1 = yes
%define build_example	0

# End of user configurable section

%{?_without_example: %{expand: %%define build_example 0}}
%{?_with_example: %{expand: %%define build_example 1}}

%define req_glib2_version	2.0.0

%define	pkgname		libgtop
%define api_version	2.0
%define lib_major	11
%define libname	%mklibname gtop %{api_version} %{lib_major}
%define libnamedev %mklibname -d gtop %{api_version}
%define last_abi_break_version 2.14.0

%define name    %{pkgname}2
%define version 2.38.0
%define release %mkrel 3

Summary:	The LibGTop library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source0: 	http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.xz
#-----------------------------------------
BuildRequires: texinfo
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}xau-devel
#-----------------------------------------
#Obsoletes: 	%{name} < %version


%description
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.
On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%description -l de
LibGTop ist eine Bibliothek die Informationen zum laufenden
System wie z.B. CPU- und Speicherverwendung, Aktive Prozesse
und so weiter abruft. Auf Linuxsystemen, stammen diese Informationen
direkt vom /proc Dateisystem während auf anderen Systemen ein Servers
zum Lesen dieser Informationen von anderen dev/kmem, u. a. verwendet wird. 

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{pkgname}%{api_version} = %{version}-%{release}
Requires:   	%{name} >= %{version}
Requires:	libglib2.0 >= %{req_glib2_version}
#Obsoletes:	%{_lib}gtop2.0_7
#Obsoletes:  %{_lib}gtop2.0_10
#Obsoletes:	mate-nettool

%description -n %{libname}
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.
On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%description -n %{libname} -l de
LibGTop ist eine Bibliothek die Informationen zum laufenden System wie
z.B. CPU- und Speicherverwendung, Aktive Prozesse und so weiter abruft.
Auf Linuxsystemen, stammen diese Informationen direkt vom /proc Dateisystem
während auf anderen Systemen ein Servers zum Lesen dieser Informationen von
anderen dev/kmem, u. a. verwendet wird. 

%package -n %{libnamedev}
Summary:	Development files for %{pkgname}
Group:		Development/Libraries
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	libglib2.0-devel >= %{req_glib2_version}
Conflicts:	%{pkgname}%{api_version}-devel < %{last_abi_break_version}
#Obsoletes: 	%mklibname -d gtop %{api_version} %{lib_major}
Provides:	%{pkgname}-devel = %{version}-%{release}

%description -n %{libnamedev}
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.

Install this package if you wish to develop applications that access
information on system statistics such as CPU and memory usage.

%description -n %{libnamedev} -l de
Entwickler Dateien für libgtop.
LibGTop ist eine Bibliothek die Informationen zum laufenden System wie
z.B. CPU- und Speicherverwendung, Aktive Prozesse und so weiter abruft.
Installiere dieses Paket wenn du Anwendungen entwickeln möchtest welche
auf die Informationen der Systemstatistiken wie CPU und Speicherverwendung
zugreifen.


%prep
%setup -q -n %{pkgname}-%{version}


%build
%configure2_5x  --disable-gtk-doc --disable-static \
%if %build_example
	--with-libgtop-examples
%endif

%make


%install
rm -rf %{buildroot}
%makeinstall_std 

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{pkgname}

%clean
rm -rf %{buildroot}

%post -n %{libnamedev}
%_install_info %{name}.info

%postun -n %{libnamedev}
%_remove_install_info %{name}.info

%files -f %{pkgname}.lang
%defattr(-, root, root)
%doc NEWS README
%if %build_example
%dir %{_libdir}/%{pkgname}
%{_libdir}/%{pkgname}/first*
%{_libdir}/%{pkgname}/mountlist*
%{_libdir}/%{pkgname}/netload*
%{_libdir}/%{pkgname}/procmap*
%{_libdir}/%{pkgname}/second*
%{_libdir}/%{pkgname}/smp*
%{_libdir}/%{pkgname}/sysdeps*
%{_libdir}/%{pkgname}/timings*
%endif

%files -n %{libname}
%defattr(-, root, root)
%doc NEWS README
%{_libdir}/lib*.so.%{lib_major}*
%{_libdir}/girepository-1.0/*.typelib

%files -n %{libnamedev}
%defattr(-, root, root)
%doc AUTHORS ChangeLog
%doc %_datadir/gtk-doc/html/*
%{_includedir}/%{pkgname}-%{api_version}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_infodir}/*.info*
%{_datadir}/gir-1.0/*.gir

%changelog
* Mon Jul 23 2018 adrianomorselli <adrianomorselli> 2.38.0-3uplos2018
- rebuild against obsoletes

* Mon Jul 23 2018 adrianomorselli <adrianomorselli> 2.38.0-2uplos2018
- remove temp exclude
- obsolete gtop lib major 10
